using API.Validation;
using Microsoft.AspNetCore.Mvc;

namespace API;

public static class AppHttpContext
{
    public static int CurrentUserId(this ControllerBase b)
    {
        var idClaim = b.HttpContext
            .User
            .Claims
            .First(c => c.Type == IdentityData.IdUserClaimName);
        return int.Parse(idClaim.Value);
    }
}