using Model;

namespace API.DTO;

public static class ModelToDto
{
    public static TacticDto ToDto(this Tactic t)
    {
        return new TacticDto(t.Id, t.Name, t.OwnerId, t.CourtType.ToString().ToUpper(), new DateTimeOffset(t.CreationDate).ToUnixTimeMilliseconds());
    }
}