using Model;

namespace AppContext.Entities;

public class TacticStepEntity
{
    public required int TacticId { get; set; }
    public Tactic Tactic { get; set; }

    public required int ParentId { get; set; }
    public TacticStepEntity Parent { get; set; }
    public IEnumerable<TacticStepEntity> Children { get; set; } = new List<TacticStepEntity>();

    public int StepId { get; set; }
    public required string JsonContent { get; set; }
}