﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace StubContext.Migrations
{
    /// <inheritdoc />
    public partial class m8 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "StepId",
                table: "TacticSteps");

            migrationBuilder.UpdateData(
                table: "Users",
                keyColumn: "Id",
                keyValue: 1,
                columns: new[] { "Password", "Salt" },
                values: new object[] { "cs6sYeniFuGPCc9vpIqfT55QoM81UQmQfCXj5Zs7ntQ=", new byte[] { 219, 58, 14, 214, 249, 185, 223, 243, 156, 162, 179, 40, 110, 116, 140, 235, 236, 189, 8, 126, 125, 98, 211, 121, 18, 143, 101, 72, 246, 167, 190, 180 } });

            migrationBuilder.UpdateData(
                table: "Users",
                keyColumn: "Id",
                keyValue: 2,
                columns: new[] { "Password", "Salt" },
                values: new object[] { "7KlgzhGDNvmU0U6XrLxn2yByXS3cH/zGhMdp7YfEB0I=", new byte[] { 66, 149, 79, 107, 102, 133, 242, 64, 186, 228, 147, 19, 180, 220, 44, 136, 109, 113, 7, 105, 119, 124, 2, 143, 144, 210, 152, 190, 218, 198, 212, 20 } });

            migrationBuilder.UpdateData(
                table: "Users",
                keyColumn: "Id",
                keyValue: 3,
                columns: new[] { "Password", "Salt" },
                values: new object[] { "c4WNJmzdK+W2yobGFAHCoi4U9LIocZAprxD+CZYYH/U=", new byte[] { 47, 0, 22, 126, 22, 151, 17, 116, 14, 185, 249, 205, 99, 227, 162, 199, 72, 196, 162, 149, 10, 80, 231, 77, 30, 156, 105, 208, 60, 50, 195, 10 } });

            migrationBuilder.UpdateData(
                table: "Users",
                keyColumn: "Id",
                keyValue: 4,
                columns: new[] { "Password", "Salt" },
                values: new object[] { "x/mFMIqJPOIOUQLPtWykgx5h+cr+CQCuPqRKaEat170=", new byte[] { 125, 255, 139, 144, 133, 136, 63, 202, 189, 150, 61, 176, 48, 173, 95, 132, 57, 67, 19, 8, 183, 136, 252, 180, 167, 4, 159, 181, 191, 232, 116, 10 } });

            migrationBuilder.UpdateData(
                table: "Users",
                keyColumn: "Id",
                keyValue: 5,
                columns: new[] { "Password", "Salt" },
                values: new object[] { "WO9P7aYnSHFe6YZkhiaJhPNHsP4Kj/PdtHmFlGJ7Tog=", new byte[] { 182, 6, 140, 209, 134, 112, 40, 156, 196, 122, 95, 6, 97, 90, 172, 94, 224, 61, 31, 137, 148, 37, 128, 243, 66, 82, 115, 218, 53, 14, 144, 13 } });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<int>(
                name: "StepId",
                table: "TacticSteps",
                type: "INTEGER",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.UpdateData(
                table: "Users",
                keyColumn: "Id",
                keyValue: 1,
                columns: new[] { "Password", "Salt" },
                values: new object[] { "MA/xRuayPtWrv8x3Cgz5OzmlHs/d2kdqpsejjELTgVo=", new byte[] { 150, 122, 99, 167, 226, 248, 165, 213, 13, 3, 4, 9, 173, 71, 224, 221, 124, 172, 97, 145, 188, 142, 224, 77, 247, 77, 124, 37, 24, 107, 43, 189 } });

            migrationBuilder.UpdateData(
                table: "Users",
                keyColumn: "Id",
                keyValue: 2,
                columns: new[] { "Password", "Salt" },
                values: new object[] { "d4SIGx08pW4fFOFycWyscF9MwGhN5/1b0NC1Qk23YCw=", new byte[] { 139, 244, 180, 246, 0, 73, 0, 219, 14, 221, 232, 49, 46, 122, 94, 50, 119, 154, 154, 53, 224, 187, 86, 230, 63, 73, 65, 232, 218, 136, 75, 142 } });

            migrationBuilder.UpdateData(
                table: "Users",
                keyColumn: "Id",
                keyValue: 3,
                columns: new[] { "Password", "Salt" },
                values: new object[] { "rtqwioPIa+g4C7hlsJMynrxVjUYw1V09z21bA6nBORM=", new byte[] { 154, 78, 98, 162, 75, 166, 161, 47, 28, 160, 107, 245, 28, 33, 244, 213, 64, 247, 249, 28, 216, 58, 63, 44, 71, 179, 227, 67, 81, 146, 81, 87 } });

            migrationBuilder.UpdateData(
                table: "Users",
                keyColumn: "Id",
                keyValue: 4,
                columns: new[] { "Password", "Salt" },
                values: new object[] { "RWebQFKoA5GHSVibfFwKJ+YrgliWiCjzHmDCQYA6h9Y=", new byte[] { 151, 193, 143, 48, 112, 90, 1, 91, 205, 85, 248, 129, 36, 50, 255, 5, 247, 95, 2, 156, 141, 189, 98, 4, 223, 179, 132, 19, 109, 43, 75, 43 } });

            migrationBuilder.UpdateData(
                table: "Users",
                keyColumn: "Id",
                keyValue: 5,
                columns: new[] { "Password", "Salt" },
                values: new object[] { "aduT6b63cL7GYh6qX1VdL0YvQIDz7uXxwnqrM9SSzzU=", new byte[] { 163, 203, 253, 50, 184, 48, 93, 231, 249, 199, 182, 214, 40, 190, 70, 79, 53, 18, 26, 151, 57, 183, 166, 150, 179, 165, 48, 68, 12, 31, 129, 242 } });
        }
    }
}
